## ipe 7.2.17

=== src/Makefile ===
# --------------------------------------------------------------------
# Makefile for building all components of Ipe
# --------------------------------------------------------------------

GOAL ?= all

ifdef IPECROSS
IPEQVORONOI = 1
endif

subdirs = \
	spiro \
	ipelib \
	ipelets/lua \
	ipetoipe \
	ipe6upgrade \
	ipeextract \
	ipescript \
	ipecairo \
	iperender \
	ipecanvas \
	ipelua \
	ipeui \
	ipe \
	ipepresenter \
	ipecurl

ifdef IPEQVORONOI
subdirs += ipelets/qvoronoi
endif

.PHONY: all $(subdirs)

all: $(subdirs)

ipetoipe: ipelib
ipelets/kgon: ipelib
ipelets/qvoronoi: ipelib
ipe6upgrade: ipelib
ipeextract: ipelib
ipecairo: ipelib
iperender: ipelib ipecairo
ipecanvas: ipelib ipecairo
ipeview: ipecanvas
ipelua: ipelib
ipescript: ipelib ipelua
ipe: ipecanvas ipelua
ipepresenter: ipecanvas
ipecurl: ipelib

$(subdirs):
	$(MAKE) --directory=$@ $(GOAL)

.PHONY: clean install
clean:
	$(MAKE)	GOAL=clean

install: all
	$(MAKE) GOAL=install

app: all
	$(MAKE) --directory=ipe app
	$(MAKE) --directory=ipe/icons app
	$(MAKE) --directory=ipelets/lua app
	$(MAKE) --directory=ipelets/qvoronoi app
	$(MAKE) --directory=ipepresenter app

# --------------------------------------------------------------------

=== src/ipe/Makefile ===
# --------------------------------------------------------------------
# Makefile for Ipe
# --------------------------------------------------------------------

OBJDIR = $(BUILDDIR)/obj/ipe
include ../common.mak

TARGET = $(call exe_target,ipe)

CPPFLAGS += -I../include -I../ipecanvas -I../ipecairo -I../ipelua \
	-I../ipeui -I../spiro \
	$(LUA_CFLAGS) $(UI_CFLAGS) $(CAIRO_CFLAGS) $(ZLIB_CFLAGS)
LIBS += -L$(buildlib) -lipecanvas -lipecairo -lipelua -lipe -lipeui \
	$(LUA_LIBS) $(UI_LIBS) $(CAIRO_LIBS) $(ZLIB_LIBS) $(DL_LIBS)

ifdef IPEBUNDLE
CPPFLAGS += -DIPEBUNDLE
else
CPPFLAGS += -DIPELETDIR=\"$(IPELETDIR)\"
CPPFLAGS += -DIPELUADIR=\"$(IPELUADIR)\"
CPPFLAGS += -DIPEICONDIR=\"$(IPEICONDIR)\"
CPPFLAGS += -DIPEDOCDIR=\"$(IPEDOCDIR)\"
CPPFLAGS += -DIPESTYLEDIR=\"$(IPESTYLEDIR)\"
endif

ifdef IPECURL
CPPFLAGS += -DIPECURL
endif

all: $(TARGET)

sources	= tools.cpp appui.cpp uilua.cpp 
qt_sources = main_qt.cpp appui_qt.cpp controls_qt.cpp 
moc_headers = appui_qt.h controls_qt.h
win_sources = main_win.cpp appui_win.cpp pathview_win.cpp pagesorter_win.cpp
gtk_sources = main_gtk.cpp appui_gtk.cpp
cocoa_sources = main_cocoa.cpp appui_cocoa.cpp controls_cocoa.cpp \
	pagesorter_cocoa.cpp

ifdef WIN32
CXXFLAGS += -mwindows
LDFLAGS  += -mwindows

resource = $(OBJDIR)/res.o

$(resource): ipe.rc
	$(WINDRES) -i ipe.rc -o $@ --include-dir=.

else
resource = 
endif

ifdef IPEUI_COCOA

nib = $(RESOURCEDIR)/mainmenu.nib

$(nib): mainmenu.xib
	mkdir -p $(RESOURCEDIR)
	ibtool --compile $(nib) mainmenu.xib

else
nib = 
endif

$(TARGET): $(objects) $(resource) $(nib)
	$(MAKE_BINDIR)
	$(CXX) $(LDFLAGS) -o $@ $(objects) $(resource) $(LIBS)

clean:
	@-rm -f $(objects) $(resource) $(TARGET) $(DEPEND)

$(DEPEND): Makefile
	$(MAKE_DEPEND)

-include $(DEPEND)

ifdef IPEAPP

app:
	$(INSTALL_DIR) $(RESOURCEDIR)/scripts
	$(INSTALL_DIR) $(RESOURCEDIR)/lua
	$(INSTALL_DIR) $(RESOURCEDIR)/styles
	$(INSTALL_DIR) $(RESOURCEDIR)/icons
	$(INSTALL_DIR) $(BUNDLEDIR)/SharedSupport/doc
	$(INSTALL_SCRIPTS) ../../scripts/* $(RESOURCEDIR)/scripts
	$(INSTALL_FILES) lua/*.lua $(RESOURCEDIR)/lua
	$(INSTALL_FILES) ../../styles/basic.isy $(RESOURCEDIR)/styles
	$(INSTALL_FILES) ../../styles/colors.isy $(RESOURCEDIR)/styles
	$(INSTALL_FILES) ../../styles/beamer.isy $(RESOURCEDIR)/styles
	$(INSTALL_FILES) ../../styles/presentation.isy $(RESOURCEDIR)/styles
	$(INSTALL_FILES) ../../styles/decorations.isy $(RESOURCEDIR)/styles
	$(INSTALL_FILES) ../../styles/note-paper.isy $(RESOURCEDIR)/styles
	$(INSTALL_FILES) ../../styles/tikz-shapes.isy $(RESOURCEDIR)/styles
	$(INSTALL_FILES) ../../styles/imperial.isy $(RESOURCEDIR)/styles
	$(INSTALL_FILES) Info.plist $(BUNDLEDIR)
	$(INSTALL_FILES) ipe.icns $(RESOURCEDIR)
	$(INSTALL_FILES) ../../build/doc/* \
		$(BUNDLEDIR)/SharedSupport/doc

endif

install: $(TARGET)
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPEBINDIR) 
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPEMANDIR) 
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPEDOCDIR) 
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPELUADIR) 
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPESTYLEDIR) 
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPESCRIPTDIR) 
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPEICONDIR)
	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPEBINDIR)
	$(INSTALL_SCRIPTS) ../../scripts/* $(INSTALL_ROOT)$(IPESCRIPTDIR)
	$(INSTALL_FILES) ../../man/*.1 $(INSTALL_ROOT)$(IPEMANDIR) 
	$(INSTALL_FILES) ../../build/doc/* $(INSTALL_ROOT)$(IPEDOCDIR)
	$(INSTALL_FILES) lua/*.lua $(INSTALL_ROOT)$(IPELUADIR)
	$(INSTALL_FILES) ../../styles/basic.isy $(INSTALL_ROOT)$(IPESTYLEDIR)
	$(INSTALL_FILES) ../../styles/colors.isy $(INSTALL_ROOT)$(IPESTYLEDIR)
	$(INSTALL_FILES) ../../styles/beamer.isy $(INSTALL_ROOT)$(IPESTYLEDIR)
	$(INSTALL_FILES) ../../styles/presentation.isy $(INSTALL_ROOT)$(IPESTYLEDIR)
	$(INSTALL_FILES) ../../styles/decorations.isy $(INSTALL_ROOT)$(IPESTYLEDIR)
	$(INSTALL_FILES) ../../styles/note-paper.isy $(INSTALL_ROOT)$(IPESTYLEDIR)
	$(INSTALL_FILES) ../../styles/tikz-shapes.isy $(INSTALL_ROOT)$(IPESTYLEDIR)
	$(INSTALL_FILES) ../../styles/imperial.isy $(INSTALL_ROOT)$(IPESTYLEDIR)
	$(INSTALL_FILES) ../../styles/right-to-left.isy $(INSTALL_ROOT)$(IPESTYLEDIR)
	$(INSTALL_FILES) ../../styles/arabic.isy $(INSTALL_ROOT)$(IPESTYLEDIR)
	$(INSTALL_FILES) icons/*.png $(INSTALL_ROOT)$(IPEICONDIR)

# --------------------------------------------------------------------

=== src/ipelib/Makefile ===
# --------------------------------------------------------------------
# Makefile for Ipelib
# --------------------------------------------------------------------

OBJDIR = $(BUILDDIR)/obj/ipelib
include ../common.mak

TARGET = $(call dll_target,ipe)
MAKE_SYMLINKS = $(call dll_symlinks,ipe)
SONAME = $(call soname,ipe)
INSTALL_SYMLINKS = $(call install_symlinks,ipe)

CPPFLAGS += -I../include  -I../spiro
ifdef IPEBUNDLE
CPPFLAGS += -DIPEBUNDLE
endif
ifdef IPEGSL
CPPFLAGS += -DIPE_GSL $(GSL_CFLAGS)
LIBS += $(GSL_LIBS)
endif
ifdef IPE_NO_IPELIB_VERSION_CHECK
CPPFLAGS += -DIPE_NO_IPELIB_VERSION_CHECK
endif
CPPFLAGS += $(ZLIB_CFLAGS) $(JPEG_CFLAGS) $(PNG_CFLAGS)
CXXFLAGS += $(DLL_CFLAGS)
LIBS += $(JPEG_LIBS) $(ZLIB_LIBS) $(PNG_LIBS)

ifdef WIN32
LIBS += -lole32 -luuid
endif

all: $(TARGET)

sources	= \
	ipebase.cpp \
	ipeplatform.cpp \
	ipegeo.cpp \
	ipexml.cpp \
	ipeattributes.cpp \
	ipebitmap.cpp \
	ipeshape.cpp \
	ipegroup.cpp \
	ipeimage.cpp \
	ipetext.cpp \
	ipepath.cpp \
	ipereference.cpp \
	ipeobject.cpp \
	ipefactory.cpp \
	ipestdstyles.cpp \
	ipeiml.cpp \
	ipepage.cpp \
	ipepainter.cpp \
	ipetoolbase.cpp \
	ipepdfparser.cpp \
	ipepdfwriter.cpp \
	iperesources.cpp \
	ipestyle.cpp \
	ipesnap.cpp \
	ipeutils.cpp \
	ipelatex.cpp \
	ipedoc.cpp

ifdef WIN32
sources += ipebitmap_win.cpp
else
sources += ipebitmap_unix.cpp
endif

objects += $(OBJDIR)/spiro.o $(OBJDIR)/spiroentrypoints.o 

$(TARGET): $(objects)
	$(MAKE_LIBDIR)
	$(CXX) $(LDFLAGS) $(DLL_LDFLAGS) $(SONAME) -o $@ $^ $(LIBS)
	$(MAKE_SYMLINKS)

clean:
	@-rm -f $(objects) $(TARGET) $(DEPEND)

$(DEPEND): Makefile
	$(MAKE_DEPEND)

-include $(DEPEND)

install: $(TARGET)
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPELIBDIR) 
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPEHEADERDIR)
	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPELIBDIR)
	$(INSTALL_FILES) ../include/*.h $(INSTALL_ROOT)$(IPEHEADERDIR)
	$(INSTALL_SYMLINKS)

# --------------------------------------------------------------------

=== src/spiro/Makefile ===
# --------------------------------------------------------------------
# Makefile for spiro
# --------------------------------------------------------------------

OBJDIR = $(BUILDDIR)/obj/ipelib
include ../common.mak

sources	= spiro.c spiroentrypoints.c

objects = $(OBJDIR)/spiro.o $(OBJDIR)/spiroentrypoints.o


all: $(objects)

$(OBJDIR)/spiro.o: spiro.c spiro-config.h spiro.h bezctx_intf.h

$(OBJDIR)/spiroentrypoints.o: spiroentrypoints.c spiro-config.h spiro.h bezctx_intf.h spiroentrypoints.h

clean:
	@-rm -f $(objects)

$(OBJDIR)/%.o:  %.c
	mkdir -p $(OBJDIR)
	@echo Compiling $(<F)...
	$(COMPILE.c) -o $@ $<

# --------------------------------------------------------------------

=== src/ipe/icons/Makefile ===
# --------------------------------------------------------------------
# Makefile for icons (only for OSX)
# --------------------------------------------------------------------

IPESRCDIR = ../..
include ../../common.mak

all: 

ifdef IPEAPP

ICONDIR = $(RESOURCEDIR)/icons

icons = copy cut delete fit_objects fit_page fit_width		\
	grid_visible ipe keyboard mode_arc1 mode_arc2 mode_arc3	\
	mode_circle1 mode_circle2 mode_circle3 mode_ink		\
	mode_label mode_lines mode_marks mode_math mode_pan	\
	mode_paragraph mode_parallelogram mode_polygons         \
	mode_rectangles1 mode_rectangles2 mode_rectangles3      \
	mode_rotate mode_shear mode_graph mode_laser            \
	mode_select mode_shredder mode_splinegons mode_splines	\
	mode_stretch mode_translate paste pen redo shift_key	\
	snapangle snapauto snapbd snapctl snapgrid snapint	\
	snapvtx snapcustom stop undo zoom_in zoom_out


app:
	$(INSTALL_DIR) $(ICONDIR)
	for f in $(icons) ; do \
	  f1=$$f.png; f2=$$f@2x.png; \
	  f3=$${f}_32x32.png; f4=$${f}_32x32@2x.png; \
	  if [ ! -e $$f2 ]; then f2=""; fi; \
	  if [ ! -e $$f3 ]; then f3=""; fi; \
	  if [ ! -e $$f4 ]; then f4=""; fi; \
	  ft=$$f.tiff; \
	  tiffutil -catnosizecheck $$f1 $$f2 $$f3 $$f4 -out $(ICONDIR)/$$ft; \
	done

endif

# --------------------------------------------------------------------

=== debian/changelog ===
ipe (7.2.17-2) unstable; urgency=medium

  [ Steve Robbins ]
  * push to unstable.

 -- Steve M. Robbins <smr@debian.org>  Sun, 21 Jun 2020 11:49:39 -0500

ipe (7.2.17-1) experimental; urgency=medium

  [ Steve Robbins ]
  * [9875e10] New upstream version 7.2.17
  * [f6b17d4] Update version string in control & rules.

 -- Steve M. Robbins <smr@debian.org>  Sat, 09 May 2020 13:42:00 -0500

ipe (7.2.16-1) experimental; urgency=medium

  [ Steve Robbins ]
  * [de5c228] New upstream version 7.2.16
  * [15518a1] Rebase patches.

 -- Steve M. Robbins <smr@debian.org>  Sat, 02 May 2020 15:39:03 -0500

ipe (7.2.15-1) unstable; urgency=medium

  [ Steve Robbins ]
  * New upstream version 7.2.15
  * Rebase patches

 -- Steve M. Robbins <smr@debian.org>  Mon, 27 Apr 2020 00:51:26 -0500

=== debian/control ===
Source: ipe
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Steve M. Robbins <smr@debian.org>
Section: graphics
Priority: optional
Build-Depends: sharutils,
               debhelper (>= 11~),
               zlib1g-dev,
               qtbase5-dev,
               qtbase5-dev-tools,
               libfreetype6-dev,
               libcurl4-openssl-dev,
               libgsl-dev,
               libcairo2-dev,
               libjpeg-dev,
               libpng-dev,
               liblua5.3-dev,
               gsfonts
Build-Conflicts: libipe1-dev
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/science-team/ipe.git
Vcs-Git: https://salsa.debian.org/science-team/ipe.git
Homepage: http://ipe.otfried.org/

Package: ipe
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         texlive-latex-base,
         gsfonts,
	 sensible-utils,
         xdg-utils
Recommends: lua5.3
Suggests: texlive-latex-recommended
Description: drawing editor for creating figures in PDF or PS formats
 Ipe supports making small figures for inclusion into LaTeX
 documents as well as making multi-page PDF presentations
 Ipe's main features are:
  * Entry of text as LaTeX source code. This makes it easy to enter
    mathematical expressions, and to reuse the LaTeX-macros of the main
    document.  In the display text is displayed as it will appear in
    the figure.
  * Produces pure Postscript/PDF, including the text. Ipe converts the
    LaTeX-source to PDF or Postscript when the file is saved.
  * It is easy to align objects with respect to each other (for
    instance, to place a point on the intersection of two lines, or to
    draw a circle through three given points) using various snapping
    modes.
  * Users can provide ipelets (Ipe plug-ins) to add functionality to
    Ipe.  This way, Ipe can be extended for each task at hand.
  * The text model is based on Unicode, and has been tested with Korean,
     Chinese, and Japanese.
 .
 Package lua5.3 is recommended if using Ipe with LaTeX.
 .
 Package texlive-latex-recommended enables unicode text entry (for
 accented characters).

Package: libipe7.2.17
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Ipe library used by ipelets
 This package provides a library used by Ipe and its extensions.
 Ipelets are plug-ins for Ipe that are used to add functionality to
 Ipe.
 .
 Ipe is the drawing editor for creating figures in PDF or PS formats.

Package: libipe-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libipe7.2.17 (= ${binary:Version})
Conflicts: libipe1-dev
Replaces: libipe1-dev
Description: Ipe library used by ipelets (developer files)
 This package provides static libraries and include files needed to
 create Ipelets, plug-ins for Ipe that are used to add functionality
 to Ipe.
 .
 Ipe is the drawing editor for creating figures in PDF or PS formats.

=== debian/rules ===
#!/usr/bin/make -f

export IPEPREFIX=/usr
export INSTALL_ROOT=$(shell pwd)/debian/tmp

IPEVER = 7.2.17

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Tell qtchooser which version we want.
export QT_SELECT=qt5

%:
#	rm -f build/doc/jquery.js
	dh $@ --sourcedirectory=src

install: debian/ipetoipe

override_dh_install: 
	dh_install
	dh_install -plibipe$(IPEVER) debian/tmp/usr/lib/lib*.so.* usr/lib

override_dh_link:
	dh_link
	dh_link usr/share/ipe/$(IPEVER)/doc usr/share/doc/ipe/doc

# TODO: install and use wrapper to avoid issue #405294.
# Needs work: the real executable must be renamed.
debian/ipetoipe: debian/ipetoipe.sh
	sed < $< > $@ -e 's,xIPELIBDIRx,/usr/bin,'
	chmod +x $@

## ipe 7.2.23+dfsg1

=== src/Makefile ===
--- 
+++ 
@@ -9,7 +9,6 @@
 endif
 
 subdirs = \
-	spiro \
 	ipelib \
 	ipelets/lua \
 	ipetoipe \
@@ -29,7 +28,7 @@
 subdirs += ipelets/qvoronoi
 endif
 
-.PHONY: all $(subdirs)
+.PHONY: all documentation $(subdirs)
 
 all: $(subdirs)
 
@@ -60,9 +59,13 @@
 
 app: all
 	$(MAKE) --directory=ipe app
-	$(MAKE) --directory=ipe/icons app
 	$(MAKE) --directory=ipelets/lua app
+ifdef IPEQVORONOI
 	$(MAKE) --directory=ipelets/qvoronoi app
+endif
 	$(MAKE) --directory=ipepresenter app
 
+documentation:
+	$(MAKE) --directory=ipelib documentation
+
 # --------------------------------------------------------------------

=== src/ipe/Makefile ===
--- 
+++ 
@@ -13,6 +13,9 @@
 LIBS += -L$(buildlib) -lipecanvas -lipecairo -lipelua -lipe -lipeui \
 	$(LUA_LIBS) $(UI_LIBS) $(CAIRO_LIBS) $(ZLIB_LIBS) $(DL_LIBS)
 
+manualdir = ../../build/doc
+doxydir = ../../build/doxygen/ipelib/html
+
 ifdef IPEBUNDLE
 CPPFLAGS += -DIPEBUNDLE
 else
@@ -21,10 +24,6 @@
 CPPFLAGS += -DIPEICONDIR=\"$(IPEICONDIR)\"
 CPPFLAGS += -DIPEDOCDIR=\"$(IPEDOCDIR)\"
 CPPFLAGS += -DIPESTYLEDIR=\"$(IPESTYLEDIR)\"
-endif
-
-ifdef IPECURL
-CPPFLAGS += -DIPECURL
 endif
 
 all: $(TARGET)
@@ -92,10 +91,14 @@
 	$(INSTALL_FILES) ../../styles/note-paper.isy $(RESOURCEDIR)/styles
 	$(INSTALL_FILES) ../../styles/tikz-shapes.isy $(RESOURCEDIR)/styles
 	$(INSTALL_FILES) ../../styles/imperial.isy $(RESOURCEDIR)/styles
+	$(INSTALL_FILES) ../../styles/right-to-left.isy $(RESOURCEDIR)/styles
+	$(INSTALL_FILES) ../../styles/arabic.isy $(RESOURCEDIR)/styles
 	$(INSTALL_FILES) Info.plist $(BUNDLEDIR)
+	iconutil -c icns -o ipe.icns ../../icons/ipe.iconset
 	$(INSTALL_FILES) ipe.icns $(RESOURCEDIR)
-	$(INSTALL_FILES) ../../build/doc/* \
-		$(BUNDLEDIR)/SharedSupport/doc
+	$(INSTALL_FILES) ../../icons/icons.ipe $(RESOURCEDIR)/icons
+	$(INSTALL_FILES) $(manualdir)/* $(BUNDLEDIR)/SharedSupport/doc
+	$(INSTALL_FILES) $(doxydir)/* $(BUNDLEDIR)/SharedSupport/doc
 
 endif
 
@@ -110,18 +113,12 @@
 	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPEBINDIR)
 	$(INSTALL_SCRIPTS) ../../scripts/* $(INSTALL_ROOT)$(IPESCRIPTDIR)
 	$(INSTALL_FILES) ../../man/*.1 $(INSTALL_ROOT)$(IPEMANDIR) 
-	$(INSTALL_FILES) ../../build/doc/* $(INSTALL_ROOT)$(IPEDOCDIR)
+	$(INSTALL_FILES) $(manualdir)/* $(INSTALL_ROOT)$(IPEDOCDIR)
+	test -d $(doxydir) && \
+		$(INSTALL_FILES) $(doxydir)/* $(INSTALL_ROOT)$(IPEDOCDIR) || true
 	$(INSTALL_FILES) lua/*.lua $(INSTALL_ROOT)$(IPELUADIR)
-	$(INSTALL_FILES) ../../styles/basic.isy $(INSTALL_ROOT)$(IPESTYLEDIR)
-	$(INSTALL_FILES) ../../styles/colors.isy $(INSTALL_ROOT)$(IPESTYLEDIR)
-	$(INSTALL_FILES) ../../styles/beamer.isy $(INSTALL_ROOT)$(IPESTYLEDIR)
-	$(INSTALL_FILES) ../../styles/presentation.isy $(INSTALL_ROOT)$(IPESTYLEDIR)
-	$(INSTALL_FILES) ../../styles/decorations.isy $(INSTALL_ROOT)$(IPESTYLEDIR)
-	$(INSTALL_FILES) ../../styles/note-paper.isy $(INSTALL_ROOT)$(IPESTYLEDIR)
-	$(INSTALL_FILES) ../../styles/tikz-shapes.isy $(INSTALL_ROOT)$(IPESTYLEDIR)
-	$(INSTALL_FILES) ../../styles/imperial.isy $(INSTALL_ROOT)$(IPESTYLEDIR)
-	$(INSTALL_FILES) ../../styles/right-to-left.isy $(INSTALL_ROOT)$(IPESTYLEDIR)
-	$(INSTALL_FILES) ../../styles/arabic.isy $(INSTALL_ROOT)$(IPESTYLEDIR)
-	$(INSTALL_FILES) icons/*.png $(INSTALL_ROOT)$(IPEICONDIR)
+	$(INSTALL_FILES) ../../styles/*.isy $(INSTALL_ROOT)$(IPESTYLEDIR)
+	$(INSTALL_FILES) ../../icons/icons.ipe $(INSTALL_ROOT)$(IPEICONDIR)
+	$(INSTALL_FILES) ../../icons/ipe.iconset/icon_128x128.png $(INSTALL_ROOT)$(IPEICONDIR)
 
 # --------------------------------------------------------------------

=== src/ipecurl/Makefile ===
# --------------------------------------------------------------------
# Makefile for Ipecurl
# --------------------------------------------------------------------

OBJDIR = $(BUILDDIR)/obj/ipecurl
include ../common.mak

TARGET = $(call exe_target,ipecurl)

CPPFLAGS += -I../include $(CURL_CFLAGS)
LIBS += -L$(buildlib) -lipe $(CURL_LIBS)

all: $(TARGET)

win_sources   = ipecurl_win.cpp
cocoa_sources = ipecurl_osx.cpp

ifndef WIN32
ifndef MACOS
IPECURL_SH=1
endif
endif

ifdef IPECURL_SH

$(TARGET): ipecurl.sh
	$(MAKE_BINDIR)
	cp ipecurl.sh $(TARGET)
	chmod 0755 $(TARGET)

clean:
	@-rm -f $(TARGET)

else

$(TARGET): $(objects)
	$(MAKE_BINDIR)
	$(CXX) $(LDFLAGS) -o $@ $^ $(LIBS)

clean:
	@-rm -f $(objects) $(TARGET) $(DEPEND)

$(DEPEND): Makefile
	$(MAKE_DEPEND)

-include $(DEPEND)

endif

install: $(TARGET)
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPEBINDIR)
	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPEBINDIR)

# --------------------------------------------------------------------

=== src/ipelib/Makefile ===
--- 
+++ 
@@ -10,20 +10,21 @@
 SONAME = $(call soname,ipe)
 INSTALL_SYMLINKS = $(call install_symlinks,ipe)
 
-CPPFLAGS += -I../include  -I../spiro
+CPPFLAGS += -I../include
 ifdef IPEBUNDLE
 CPPFLAGS += -DIPEBUNDLE
 endif
-ifdef IPEGSL
 CPPFLAGS += -DIPE_GSL $(GSL_CFLAGS)
 LIBS += $(GSL_LIBS)
-endif
 ifdef IPE_NO_IPELIB_VERSION_CHECK
 CPPFLAGS += -DIPE_NO_IPELIB_VERSION_CHECK
 endif
-CPPFLAGS += $(ZLIB_CFLAGS) $(JPEG_CFLAGS) $(PNG_CFLAGS)
+CPPFLAGS += $(ZLIB_CFLAGS) $(JPEG_CFLAGS) $(PNG_CFLAGS) $(SPIRO_CFLAGS)
 CXXFLAGS += $(DLL_CFLAGS)
-LIBS += $(JPEG_LIBS) $(ZLIB_LIBS) $(PNG_LIBS)
+LIBS += $(JPEG_LIBS) $(ZLIB_LIBS) $(PNG_LIBS) $(SPIRO_LIBS)
+
+DOXYGEN ?= doxygen
+DOXDIR  = $(BUILDDIR)/doxygen
 
 ifdef WIN32
 LIBS += -lole32 -luuid
@@ -66,8 +67,6 @@
 sources += ipebitmap_unix.cpp
 endif
 
-objects += $(OBJDIR)/spiro.o $(OBJDIR)/spiroentrypoints.o 
-
 $(TARGET): $(objects)
 	$(MAKE_LIBDIR)
 	$(CXX) $(LDFLAGS) $(DLL_LDFLAGS) $(SONAME) -o $@ $^ $(LIBS)
@@ -81,6 +80,11 @@
 
 -include $(DEPEND)
 
+documentation: 
+	rm -fr $(DOXDIR)
+	mkdir -p $(DOXDIR)
+	$(DOXYGEN)
+
 install: $(TARGET)
 	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPELIBDIR) 
 	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPEHEADERDIR)

=== src/iperender/Makefile ===
# --------------------------------------------------------------------
# Makefile for Iperender
# --------------------------------------------------------------------

OBJDIR = $(BUILDDIR)/obj/iperender
include ../common.mak

TARGET = $(call exe_target,iperender)

CPPFLAGS += -I../include $(CAIRO_CFLAGS) -I../ipecairo
LIBS += -L$(buildlib) -lipecairo -lipe $(CAIRO_LIBS)

all: $(TARGET)

sources	= iperender.cpp

$(TARGET): $(objects)
	$(MAKE_BINDIR)
	$(CXX) $(LDFLAGS) -o $@ $^ $(LIBS)

clean:
	@-rm -f $(objects) $(TARGET) $(DEPEND)

$(DEPEND): Makefile
	$(MAKE_DEPEND)

-include $(DEPEND)

install: $(TARGET)
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPEBINDIR)
	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPEBINDIR)

# --------------------------------------------------------------------

=== src/ipetoipe/Makefile ===
# --------------------------------------------------------------------
# Makefile for Ipetoipe
# --------------------------------------------------------------------

OBJDIR = $(BUILDDIR)/obj/ipetoipe
include ../common.mak

TARGET = $(call exe_target,ipetoipe)

CPPFLAGS += -I../include
LIBS += -L$(buildlib) -lipe

all: $(TARGET)

sources	= ipetoipe.cpp

$(TARGET): $(objects)
	$(MAKE_BINDIR)
	$(CXX) $(LDFLAGS) -o $@ $^ $(LIBS)

clean:
	@-rm -f $(objects) $(TARGET) $(DEPEND)

$(DEPEND): Makefile
	$(MAKE_DEPEND)

-include $(DEPEND)

install: $(TARGET)
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPEBINDIR)
	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPEBINDIR)

# --------------------------------------------------------------------

=== debian/changelog ===
ipe (7.2.23+dfsg1-2) unstable; urgency=medium

  [ Steve Robbins ]
  * [acfeb5f] Make the docs target a dependency of build-arch 
    (not install) so that it will be picked up in --arch=any builds.  
    Closes: #979311

 -- Steve M. Robbins <smr@debian.org>  Sun, 10 Jan 2021 16:52:36 -0600

ipe (7.2.23+dfsg1-1) unstable; urgency=medium

  [ Steve Robbins ]
  * [5c9852f] Add watch file, update copyright to repack without build 
    directory.
  * [1172b5b] New upstream version 7.2.23
  * [36bad4b] Adjust build for 7.2.23.  Add build-deps doxygen and libspiro.
  * [ec5c5e4] Sources do not provide manual in editable form, so curent 
    Debian policy prohibits distributing a manual.
  * [f1c333c] Patch "open manual" action to load online version.

 -- Steve M. Robbins <smr@debian.org>  Sat, 26 Dec 2020 10:24:35 -0600

ipe (7.2.22-1) unstable; urgency=medium

  [ Steve Robbins ]
  * [985e924] New upstream version 7.2.22
  * [cf09add] rebased patches
  * [2900b4a] Adjust build for 7.2.22
  * [72e07e3] Update Standards version and copyright text (taken from website).

 -- Steve M. Robbins <smr@debian.org>  Sun, 20 Dec 2020 13:21:21 -0600

ipe (7.2.20-2) unstable; urgency=medium
  * Source upload.

 -- Steve M. Robbins <smr@debian.org>  Sat, 12 Sep 2020 21:23:02 -0500

ipe (7.2.20-1) unstable; urgency=medium

  [ Steve Robbins ]
  * [6260979] New upstream version 7.2.20
  * [b01fb06] Rebase patches

 -- Steve M. Robbins <smr@debian.org>  Sun, 23 Aug 2020 21:44:23 -0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Section: graphics
 Priority: optional
 Build-Depends: sharutils,
-               debhelper (>= 11~),
+               debhelper-compat (= 13),
+               doxygen,
                zlib1g-dev,
                qtbase5-dev,
                qtbase5-dev-tools,
@@ -15,9 +16,10 @@
                libjpeg-dev,
                libpng-dev,
                liblua5.3-dev,
+               libspiro-dev,
                gsfonts
 Build-Conflicts: libipe1-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/science-team/ipe.git
 Vcs-Git: https://salsa.debian.org/science-team/ipe.git
 Homepage: http://ipe.otfried.org/
@@ -28,7 +30,7 @@
          ${shlibs:Depends},
          texlive-latex-base,
          gsfonts,
-	 sensible-utils,
+         sensible-utils,
          xdg-utils
 Recommends: lua5.3
 Suggests: texlive-latex-recommended
@@ -56,7 +58,7 @@
  Package texlive-latex-recommended enables unicode text entry (for
  accented characters).
 
-Package: libipe7.2.17
+Package: libipe7.2.23
 Architecture: any
 Section: libs
 Depends: ${misc:Depends},
@@ -72,7 +74,7 @@
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
-         libipe7.2.17 (= ${binary:Version})
+         libipe7.2.23 (= ${binary:Version})
 Conflicts: libipe1-dev
 Replaces: libipe1-dev
 Description: Ipe library used by ipelets (developer files)

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export IPEPREFIX=/usr
 export INSTALL_ROOT=$(shell pwd)/debian/tmp
 
-IPEVER = 7.2.17
+IPEVER = 7.2.23
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
@@ -11,10 +11,14 @@
 export QT_SELECT=qt5
 
 %:
-#	rm -f build/doc/jquery.js
 	dh $@ --sourcedirectory=src
 
-install: debian/ipetoipe
+build-arch: debian/ipetoipe docs
+
+docs:
+	make -C src documentation
+	mkdir -p build/doc
+	touch build/doc/manual-is-online
 
 override_dh_install: 
 	dh_install

=== debian/watch ===
version=4

opts="dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1" \
  http://ipe.otfried.org/ .*/ipe-@ANY_VERSION@-src.tar.gz debian uupdate

## ipe 7.2.24+dfsg1

=== src/ipecanvas/Makefile ===
# --------------------------------------------------------------------
# Makefile for ipe::Canvas
# --------------------------------------------------------------------

OBJDIR = $(BUILDDIR)/obj/ipecanvas
include ../common.mak

TARGET = $(call dll_target,ipecanvas)
MAKE_SYMLINKS = $(call dll_symlinks,ipecanvas)
SONAME = $(call soname,ipecanvas)
INSTALL_SYMLINKS = $(call install_symlinks,ipecanvas)

CPPFLAGS += -I../include -I../ipecairo $(CAIRO_CFLAGS) $(UI_CFLAGS)
LIBS += -L$(buildlib) -lipecairo -lipe $(CAIRO_LIBS) $(UI_LIBS)
CXXFLAGS += $(DLL_CFLAGS)

all: $(TARGET)

sources	= ipetool.cpp ipecanvas.cpp ipepdfview.cpp
cocoa_sources = ipecanvas_cocoa.cpp ipeselector_cocoa.cpp ipepdfview_cocoa.cpp
win_sources = ipecanvas_win.cpp ipeselector_win.cpp ipepdfview_win.cpp
gtk_sources = ipecanvas_gtk.cpp ipeselector_gtk.cpp
qt_sources = ipecanvas_qt.cpp ipeselector_qt.cpp ipepdfview_qt.cpp
moc_headers = ipecanvas_qt.h ipeselector_qt.h ipepdfview_qt.h

$(TARGET): $(objects)
	$(MAKE_LIBDIR)
	$(CXX) $(LDFLAGS) $(DLL_LDFLAGS) $(SONAME) -o $@ $^ $(LIBS)
	$(MAKE_SYMLINKS)

clean:
	@-rm -f $(objects) $(TARGET) $(DEPEND)

$(DEPEND): Makefile
	$(MAKE_DEPEND)

-include $(DEPEND)

install: $(TARGET)
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPELIBDIR)
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPEHEADERDIR)
	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPELIBDIR)
	$(INSTALL_FILES) *.h $(INSTALL_ROOT)$(IPEHEADERDIR)
	$(INSTALL_SYMLINKS)

# --------------------------------------------------------------------

=== src/ipepresenter/Makefile ===
# --------------------------------------------------------------------
# Makefile for IpePresenter
# --------------------------------------------------------------------

BUNDLEDIR = $(BUILDDIR)/IpePresenter.app/Contents
OBJDIR = $(BUILDDIR)/obj/ipepresenter
include ../common.mak

TARGET = $(call exe_target,ipepresenter)

CXXFLAGS += -I../include -I../ipecanvas -I../ipecairo \
	$(UI_CFLAGS) $(CAIRO_CFLAGS) $(ZLIB_CFLAGS)
LIBS += -L$(buildlib) -lipecanvas -lipecairo -lipe \
	$(UI_LIBS) $(CAIRO_LIBS) $(ZLIB_LIBS)

all: $(TARGET)

sources = ipepresenter.cpp
win_sources = ipepresenter_win.cpp
cocoa_sources = ipepresenter_cocoa.cpp
qt_sources = ipepresenter_qt.cpp timelabel_qt.cpp
moc_headers = ipepresenter_qt.h timelabel_qt.h

ifdef WIN32
CXXFLAGS += -mwindows
LDFLAGS  += -mwindows

resource = $(OBJDIR)/res.o

$(resource): ipepresenter.rc
	$(WINDRES) -i ipepresenter.rc -o $@ --include-dir=.

else
resource =
endif

ifdef IPEUI_COCOA
nib = $(RESOURCEDIR)/mainmenu.nib

$(nib): mainmenu.xib
	ibtool --compile $(nib) mainmenu.xib

# libraries to link against are here
buildlib = $(BUILDDIR)/Ipe.app/Contents/Frameworks

else
nib = 
endif

$(TARGET): $(objects) $(resource) $(nib)
	$(MAKE_BINDIR)
	$(CXX) $(LDFLAGS) -o $@ $(objects) $(resource) $(LIBS)

clean:
	@-rm -f $(objects) $(resource) $(TARGET) $(DEPEND)

$(DEPEND): Makefile
	$(MAKE_DEPEND)

-include $(DEPEND)

install: $(TARGET)
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPEBINDIR)
	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPEBINDIR)

ifdef IPEUI_COCOA
IPELIBS = $(BUILDDIR)/Ipe.app/Contents/Frameworks
APPLIBS = $(BUILDDIR)/IpePresenter.app/Contents/Frameworks
dll_symlinks = ln -sf lib$1.$(IPEVERS).dylib $(APPLIBS)/lib$1.dylib

app:
	$(INSTALL_DIR) $(RESOURCEDIR)
	$(INSTALL_DIR) $(APPLIBS)
	$(INSTALL_FILES) Info.plist $(BUNDLEDIR)
	iconutil -c icns -o ipe.icns ../../icons/ipe.iconset
	$(INSTALL_FILES) ipe.icns $(RESOURCEDIR)
	$(INSTALL_PROGRAMS) $(IPELIBS)/libipe.$(IPEVERS).dylib $(APPLIBS)
	$(INSTALL_PROGRAMS) $(IPELIBS)/libipecairo.$(IPEVERS).dylib $(APPLIBS)
	$(INSTALL_PROGRAMS) $(IPELIBS)/libipecanvas.$(IPEVERS).dylib $(APPLIBS)
	$(call dll_symlinks,ipe)
	$(call dll_symlinks,ipecairo)
	$(call dll_symlinks,ipecanvas)
	$(INSTALL_PROGRAMS) $(IPEDEPS)/lib/libpng16.16.dylib $(APPLIBS)
	$(INSTALL_PROGRAMS) $(IPEDEPS)/lib/libpixman-1.0.dylib $(APPLIBS)
	$(INSTALL_PROGRAMS) $(IPEDEPS)/lib/libfreetype.6.dylib $(APPLIBS)
	$(INSTALL_PROGRAMS) $(IPEDEPS)/lib/libcairo.2.dylib $(APPLIBS)
endif

# --------------------------------------------------------------------

=== src/ipeui/Makefile ===
# --------------------------------------------------------------------
# Makefile for ipeui
# --------------------------------------------------------------------

OBJDIR = $(BUILDDIR)/obj/ipeui
include ../common.mak

TARGET = $(call dll_target,ipeui)
MAKE_SYMLINKS = $(call dll_symlinks,ipeui)
SONAME = $(call soname,ipeui)
INSTALL_SYMLINKS = $(call install_symlinks,ipeui)

CXXFLAGS += $(UI_CFLAGS) $(LUA_CFLAGS) $(DLL_CFLAGS)
LIBS += $(UI_LIBS) $(LUA_LIBS)

all: $(TARGET)

sources = ipeui_common.cpp
cocoa_sources = ipeui_cocoa.cpp
qt_sources = ipeui_qt.cpp
moc_headers = ipeui_qt.h
win_sources = ipeui_win.cpp
gtk_sources = ipeui_gtk.cpp

$(TARGET): $(objects)
	$(MAKE_LIBDIR)
	$(CXX) $(LDFLAGS) $(DLL_LDFLAGS) $(SONAME) -o $@ $^ $(LIBS)
	$(MAKE_SYMLINKS)

clean:
	@-rm -f $(objects) $(TARGET) $(DEPEND)

$(DEPEND): Makefile
	$(MAKE_DEPEND)

-include $(DEPEND)

install: $(TARGET)
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPELIBDIR)
	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPELIBDIR)
	$(INSTALL_SYMLINKS)

# --------------------------------------------------------------------

=== src/ipelets/qvoronoi/Makefile ===
# --------------------------------------------------------------------
# Makefile for qvoronoi ipelet
# Needs reentrant qhull library (www.qhull.org)
# On Ubuntu/Debian:  apt install libqhull-r7 libqhull-dev
# --------------------------------------------------------------------

IPESRCDIR = ../..
OBJDIR = $(BUILDDIR)/obj/ipelets
DEPEND = $(OBJDIR)/qvoronoi.depend
include ../../common.mak

ifdef WIN32
QHULL_CFLAGS = -I$(IPEDEPS)/include/libqhull_r
QHULL_LIBS = -L$(IPEDEPS)/lib -lqhull_r
else ifdef MACOS
QHULL_CFLAGS = -I$(IPEDEPS)/include/libqhull_r
QHULL_LIBS = -L$(IPEDEPS)/lib -lqhull_r
else
QHULL_CFLAGS ?= -I/usr/include/libqhull_r
QHULL_LIBS ?= -lqhull_r
endif

TARGET = $(call ipelet_target,qvoronoi)
LUASCRIPT = qvoronoi.lua

CPPFLAGS += -I../../include $(QHULL_CFLAGS)
LIBS += -L$(buildlib) $(QHULL_LIBS) -lipe 
CXXFLAGS += $(DLL_CFLAGS)

all: $(TARGET)

sources	= qvoronoi.cpp

$(TARGET): $(objects)
	$(MAKE_IPELETDIR)
	$(CXX) $(LDFLAGS) $(PLUGIN_LDFLAGS) -o $@ $^ $(LIBS)

clean:
	@-rm -f $(objects) $(TARGET) $(DEPEND)

$(DEPEND): Makefile
	$(MAKE_DEPEND)

-include $(DEPEND)

install: $(TARGET)
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPELETDIR)
	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPELETDIR)
	$(INSTALL_FILES) $(LUASCRIPT) $(INSTALL_ROOT)$(IPELETDIR)

ifdef IPEAPP

app:
	$(INSTALL_DIR) $(RESOURCEDIR)/ipelets
	$(INSTALL_FILES) qvoronoi.lua $(RESOURCEDIR)/ipelets

endif

# --------------------------------------------------------------------

=== debian/changelog ===
ipe (7.2.24+dfsg1-1build1) jammy; urgency=medium

  * No-change rebuild against libgsl27

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Dec 2021 17:33:05 +0000

ipe (7.2.24+dfsg1-1) unstable; urgency=medium

  [ Steve Robbins ]
  * [f7c2ed9] New upstream version 7.2.24
  * [28b6c67] Update library package name to libipe7.2.24.

 -- Steve M. Robbins <smr@debian.org>  Sat, 11 Sep 2021 20:57:22 -0500

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: ipe
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Steve M. Robbins <smr@debian.org>
 Section: graphics
 Priority: optional
@@ -58,7 +59,7 @@
  Package texlive-latex-recommended enables unicode text entry (for
  accented characters).
 
-Package: libipe7.2.23
+Package: libipe7.2.24
 Architecture: any
 Section: libs
 Depends: ${misc:Depends},
@@ -74,7 +75,7 @@
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
-         libipe7.2.23 (= ${binary:Version})
+         libipe7.2.24 (= ${binary:Version})
 Conflicts: libipe1-dev
 Replaces: libipe1-dev
 Description: Ipe library used by ipelets (developer files)

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export IPEPREFIX=/usr
 export INSTALL_ROOT=$(shell pwd)/debian/tmp
 
-IPEVER = 7.2.23
+IPEVER = 7.2.24
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all

## ipe 7.2.26%2Bdfsg1

=== src/ipe6upgrade/Makefile ===
# --------------------------------------------------------------------
# Makefile for Ipe6upgrade
# --------------------------------------------------------------------

OBJDIR = $(BUILDDIR)/obj/ipe6upgrade
include ../common.mak

TARGET = $(call exe_target,ipe6upgrade)

CPPFLAGS += -I../include
LIBS += -L$(buildlib) -lipe
#LIBS += $(buildlib)/ipe.dll

all: $(TARGET)

sources	= ipe6upgrade.cpp

$(TARGET): $(objects)
	$(MAKE_BINDIR)
	$(CXX) $(LDFLAGS) -o $@ $^ $(LIBS)

clean:
	@-rm -f $(objects) $(TARGET) $(DEPEND)

$(DEPEND): Makefile
	$(MAKE_DEPEND)

-include $(DEPEND)

install: $(TARGET)
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPEBINDIR)
	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPEBINDIR)

# --------------------------------------------------------------------

## ipe 7.2.26+dfsg1

=== src/ipecairo/Makefile ===
# --------------------------------------------------------------------
# Makefile for Ipecairo
# --------------------------------------------------------------------

OBJDIR = $(BUILDDIR)/obj/ipecairo
include ../common.mak

TARGET = $(call dll_target,ipecairo)
MAKE_SYMLINKS = $(call dll_symlinks,ipecairo)
SONAME = $(call soname,ipecairo)
INSTALL_SYMLINKS = $(call install_symlinks,ipecairo)

CPPFLAGS += -I../include $(CAIRO_CFLAGS) $(FREETYPE_CFLAGS)
LIBS += -L$(buildlib) -lipe $(CAIRO_LIBS) $(FREETYPE_LIBS)
ifdef WIN32
LIBS += -lgdiplus
endif
CXXFLAGS += $(DLL_CFLAGS)

all: $(TARGET)

sources	= \
	ipecairopainter.cpp \
	ipefonts.cpp	\
	ipethumbs.cpp

$(TARGET): $(objects)
	$(MAKE_LIBDIR)
	$(CXX) $(LDFLAGS) $(DLL_LDFLAGS) $(SONAME) -o $@ $^ $(LIBS)
	$(MAKE_SYMLINKS)

clean:
	@-rm -f $(objects) $(TARGET) $(DEPEND)

$(DEPEND): Makefile
	$(MAKE_DEPEND)

-include $(DEPEND)

install: $(TARGET)
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPELIBDIR)
	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPELIBDIR)
	$(INSTALL_SYMLINKS)

# --------------------------------------------------------------------

=== src/ipelua/Makefile ===
# --------------------------------------------------------------------
# Makefile for Lua bindings for ipe
# --------------------------------------------------------------------

OBJDIR = $(BUILDDIR)/obj/ipelua
include ../common.mak

TARGET = $(call dll_target,ipelua)
MAKE_SYMLINKS = $(call dll_symlinks,ipelua)
SONAME = $(call soname,ipelua)
INSTALL_SYMLINKS = $(call install_symlinks,ipelua)

CPPFLAGS += -I../include $(LUA_CFLAGS)
LIBS += -L$(buildlib) -lipe $(LUA_LIBS) $(DL_LIBS)
CXXFLAGS += $(DLL_CFLAGS)

all: $(TARGET)

sources	= \
	ipelib.cpp \
	ipeluageo.cpp \
	ipeluaobj.cpp \
	ipeluastyle.cpp \
	ipeluapage.cpp \
	ipeluaipelet.cpp

$(TARGET): $(objects)
	$(MAKE_LIBDIR)
	$(CXX) $(LDFLAGS) $(DLL_LDFLAGS) $(SONAME) -o $@ $^ $(LIBS)
	$(MAKE_SYMLINKS)

clean:
	@-rm -f $(objects) $(TARGET) $(DEPEND)

$(DEPEND): Makefile
	$(MAKE_DEPEND)

-include $(DEPEND)

install: $(TARGET)
	$(INSTALL_DIR) $(INSTALL_ROOT)$(IPELIBDIR)
	$(INSTALL_PROGRAMS) $(TARGET) $(INSTALL_ROOT)$(IPELIBDIR)
	$(INSTALL_SYMLINKS)

# --------------------------------------------------------------------

=== src/ipeui/Makefile ===
--- 
+++ 
@@ -10,8 +10,11 @@
 SONAME = $(call soname,ipeui)
 INSTALL_SYMLINKS = $(call install_symlinks,ipeui)
 
-CXXFLAGS += $(UI_CFLAGS) $(LUA_CFLAGS) $(DLL_CFLAGS)
-LIBS += $(UI_LIBS) $(LUA_LIBS)
+ifdef IPE_NO_SPELLCHECK
+CPPFLAGS += -DIPE_NO_SPELLCHECK
+endif
+CXXFLAGS += $(UI_CFLAGS) $(LUA_CFLAGS) $(DLL_CFLAGS) $(SPELL_CFLAGS)
+LIBS += $(UI_LIBS) $(LUA_LIBS) $(SPELL_LIBS)
 
 all: $(TARGET)

=== debian/changelog ===
ipe (7.2.26+dfsg1-3) unstable; urgency=medium

  [ Steve Robbins ]
  * [6fb6e64] Replace gsfonts by fonts-urw-base35.  Closes: #1020364.

 -- Steve M. Robbins <smr@debian.org>  Fri, 14 Oct 2022 01:22:20 -0500

ipe (7.2.26+dfsg1-2) unstable; urgency=medium

  [ Steve Robbins ] 
  * Useless revision to case source rebuild.

 -- Steve M. Robbins <smr@debian.org>  Tue, 19 Jul 2022 20:19:20 -0500

ipe (7.2.26+dfsg1-1) unstable; urgency=medium

  [ Steve Robbins ]
  * [4ae2c7c] New upstream version 7.2.26+dfsg1
  * [2cc6e46] & [76e5ea4] adjust lib package name to 7.2.26
  * [15479cd] & [0c9f06b] Remove pkg-config patch that was applied upstream.

 -- Steve M. Robbins <smr@debian.org>  Sat, 16 Jul 2022 12:59:23 -0500

ipe (7.2.25+dfsg1-1) unstable; urgency=medium

  [ Steve Robbins ]
  * [a006df7] New upstream version 7.2.25+dfsg1
  * [c338927] Add dep for libqtspell.
  * [1931f14] refresh patches
  * [e91e943] adjust lib package name to 7.2.25.

 -- Steve M. Robbins <smr@debian.org>  Tue, 21 Jun 2022 23:55:16 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: ipe
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Steve M. Robbins <smr@debian.org>
 Section: graphics
 Priority: optional
@@ -10,6 +9,7 @@
                zlib1g-dev,
                qtbase5-dev,
                qtbase5-dev-tools,
+               libqtspell-qt5-dev,
                libfreetype6-dev,
                libcurl4-openssl-dev,
                libgsl-dev,
@@ -18,7 +18,7 @@
                libpng-dev,
                liblua5.3-dev,
                libspiro-dev,
-               gsfonts
+               fonts-urw-base35
 Build-Conflicts: libipe1-dev
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/science-team/ipe.git
@@ -30,7 +30,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          texlive-latex-base,
-         gsfonts,
+         fonts-urw-base35,
          sensible-utils,
          xdg-utils
 Recommends: lua5.3
@@ -59,7 +59,7 @@
  Package texlive-latex-recommended enables unicode text entry (for
  accented characters).
 
-Package: libipe7.2.24
+Package: libipe7.2.26
 Architecture: any
 Section: libs
 Depends: ${misc:Depends},
@@ -75,7 +75,7 @@
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
-         libipe7.2.24 (= ${binary:Version})
+         libipe7.2.26 (= ${binary:Version})
 Conflicts: libipe1-dev
 Replaces: libipe1-dev
 Description: Ipe library used by ipelets (developer files)

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export IPEPREFIX=/usr
 export INSTALL_ROOT=$(shell pwd)/debian/tmp
 
-IPEVER = 7.2.24
+IPEVER = 7.2.26
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all

## ipe 7.2.27+dfsg1

=== src/ipepresenter/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 TARGET = $(call exe_target,ipepresenter)
 
-CXXFLAGS += -I../include -I../ipecanvas -I../ipecairo \
+CPPFLAGS += -I../include -I../ipecanvas -I../ipecairo \
 	$(UI_CFLAGS) $(CAIRO_CFLAGS) $(ZLIB_CFLAGS)
 LIBS += -L$(buildlib) -lipecanvas -lipecairo -lipe \
 	$(UI_LIBS) $(CAIRO_LIBS) $(ZLIB_LIBS)

=== src/ipeui/Makefile ===
--- 
+++ 
@@ -10,9 +10,10 @@
 SONAME = $(call soname,ipeui)
 INSTALL_SYMLINKS = $(call install_symlinks,ipeui)
 
-ifdef IPE_NO_SPELLCHECK
+# QtSpell is not yet available for Qt6
+#ifdef IPE_NO_SPELLCHECK
 CPPFLAGS += -DIPE_NO_SPELLCHECK
-endif
+#endif
 CXXFLAGS += $(UI_CFLAGS) $(LUA_CFLAGS) $(DLL_CFLAGS) $(SPELL_CFLAGS)
 LIBS += $(UI_LIBS) $(LUA_LIBS) $(SPELL_LIBS)

=== debian/changelog ===
ipe (7.2.27+dfsg1-2) unstable; urgency=medium

  [ Steve Robbins ]
  * [a22d082] Depend on libqt6svg6 so that icons display.  Closes: #1039897.

 -- Steve M. Robbins <smr@debian.org>  Tue, 04 Jul 2023 20:19:07 -0500

ipe (7.2.27+dfsg1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * [c607a57] Trim trailing whitespace.
  * [dbe3cf0] Use secure URI in Homepage field.
  * [b9441d3] Use canonical URL in Vcs-Browser.
  * [53d2fc5] Update standards version to 4.6.1, no changes needed.

  [ Steve Robbins ]
  * [c3e54d2] New upstream version 7.2.27+dfsg1
  * [360178e] Update control, rules.
  * [327940b] Remove obsolete preinst script.

 -- Steve M. Robbins <smr@debian.org>  Wed, 14 Jun 2023 22:13:50 -0500

=== debian/control ===
--- 
+++ 
@@ -7,23 +7,17 @@
                debhelper-compat (= 13),
                doxygen,
                zlib1g-dev,
-               qtbase5-dev,
-               qtbase5-dev-tools,
-               libqtspell-qt5-dev,
-               libfreetype6-dev,
-               libcurl4-openssl-dev,
-               libgsl-dev,
-               libcairo2-dev,
-               libjpeg-dev,
-               libpng-dev,
-               liblua5.3-dev,
-               libspiro-dev,
+               qt6-base-dev, qt6-base-dev-tools,
+               libqt6svg6,
+               libfreetype-dev, libcairo2-dev, libjpeg-dev,
+               libpng-dev, liblua5.4-dev, zlib1g-dev,
+               libspiro-dev, libgsl-dev, curl, doxygen,
                fonts-urw-base35
 Build-Conflicts: libipe1-dev
-Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/science-team/ipe.git
+Standards-Version: 4.6.1
+Vcs-Browser: https://salsa.debian.org/science-team/ipe
 Vcs-Git: https://salsa.debian.org/science-team/ipe.git
-Homepage: http://ipe.otfried.org/
+Homepage: https://ipe.otfried.org/
 
 Package: ipe
 Architecture: any
@@ -31,9 +25,10 @@
          ${shlibs:Depends},
          texlive-latex-base,
          fonts-urw-base35,
+         libqt6svg6,
          sensible-utils,
          xdg-utils
-Recommends: lua5.3
+Recommends: lua5.4
 Suggests: texlive-latex-recommended
 Description: drawing editor for creating figures in PDF or PS formats
  Ipe supports making small figures for inclusion into LaTeX
@@ -59,7 +54,7 @@
  Package texlive-latex-recommended enables unicode text entry (for
  accented characters).
 
-Package: libipe7.2.26
+Package: libipe7.2.27
 Architecture: any
 Section: libs
 Depends: ${misc:Depends},
@@ -75,7 +70,7 @@
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
-         libipe7.2.26 (= ${binary:Version})
+         libipe7.2.27 (= ${binary:Version})
 Conflicts: libipe1-dev
 Replaces: libipe1-dev
 Description: Ipe library used by ipelets (developer files)

=== debian/rules ===
--- 
+++ 
@@ -3,12 +3,12 @@
 export IPEPREFIX=/usr
 export INSTALL_ROOT=$(shell pwd)/debian/tmp
 
-IPEVER = 7.2.26
+IPEVER = 7.2.27
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 # Tell qtchooser which version we want.
-export QT_SELECT=qt5
+export QT_SELECT=qt6
 
 %:
 	dh $@ --sourcedirectory=src
@@ -20,7 +20,7 @@
 	mkdir -p build/doc
 	touch build/doc/manual-is-online
 
-override_dh_install: 
+override_dh_install:
 	dh_install
 	dh_install -plibipe$(IPEVER) debian/tmp/usr/lib/lib*.so.* usr/lib
